#
#  Copyright (C) 2013-2019 Red Hat, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	PYFLAKES=true \\\
	PEP8=true \\\
	%{?null}

Summary:	RHV-M setup plugins
Name:		rhvm-setup-plugins
Version:	4.4.2
Release:	1%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		%{name}-4.4.2-1.tar.gz
Group:		Virtualization/Management

BuildArch:	noarch

BuildRequires:	python3-devel

Requires:	ovirt-engine-setup-plugin-ovirt-engine >= 4.4.0
Requires:	python3-ovirt-setup-lib >= 1.2.0
Conflicts:	ovirt-engine < 4.4.0

%description
Setup plugins for RHV-M

%prep
%setup -q -n %{name}-4.4.2

%build
make %{?_smp_mflags} %{make_common_opts}

%install
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"

# Compile python files
%{__python3} -m compileall -f -q -d / "%{buildroot}"
%{__python3} -O -m compileall -f -q -d / "%{buildroot}"

%files
%license LICENSE
%doc README
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/rhvm*
%{_datadir}/ovirt-engine/setup/plugins/*/rhvm-setup-plugins/
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/__pycache__/

%changelog
* Wed Feb 26 2020 - Yedidyah Bar David <didi@redhat.com> - 4.4.2
- Rebase on 4.4.2

* Wed Jan 15 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4.1-1
- Rebase on 4.4.1
- Initial import in RHV 4.4 RHEL 8
